API referenceAgents
List Toolsets
GET
/api/v1/toolsetsAuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Header Parameters
X-Workspace-ID?|
The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/toolsets"{ "items": [ { "config_schema": { "property1": null, "property2": null }, "default_enabled": true, "display_name": "string", "key": "files", "tools": [ { "config_schema": { "property1": null, "property2": null }, "default_enabled": true, "default_permission": "allow", "deployment_supported": true, "display_name": "string", "execution_id": "string", "key": "string", "model_name": "string", "resource_selector": { "kind": "web_provider", "operation": "search" }, "supported_permissions": [ "inherit" ] } ] } ]}